<?php

namespace App\Core\Auth\Classes;

use Singleton;

/**
 * Store the user auth and permissions on a singleton
 * so this will be used on ws and web requests
 */
class SessionLog extends Singleton
{
    private static $session;
    private static $logs = Array();

    /**
     * Opens a session object.
     * The session will represent a request initiation
     */
    public static function openSession()
    {

    }

    /**
     * Add a log to the session
     * A log will store a hasPermission request
     */
    public static function storeLog(Permission $permission)
    {

    }
}